
* example 7;

proc format;
value cou2hsa
3, 9, 13, 29, 37, 63, 73, 121 = '1'
15, 51, 55, 69, 97, 99, 101, 117, 123= '2'
11, 23, 43, 45, 49, 53, 65, 67, 75, 89, 109 = '3'
7, 17, 107 = '4'
1, 19, 21, 25, 31, 33, 35, 39, 41, 57, 77, 83, 91, 93, 95, 113, 115 = '5'
27, 71, 79, 87, 105, 111, 119 = '6'
5, 47, 61, 81, 85 = '7'
59, 103 = '8'
;
run;

* assign new geographic designation (HSA) to each New York State counties;
data hsatemp;
set maps.counties;
where state eq 36 and density lt 6;
hsa = put(county,cou2hsa.);
run;

* sort map data set in order by new geographic designation;
proc sort data=hsatemp;
by hsa;
run;

* eliminate county boundaries with HSA areas using PROC GREMOVE; 
proc gremove data=hsatemp out=hsamap;									
by hsa;
id county;
run;

proc gproject data=hsamap out=hsaproj;
id hsa;
run;

proc sql;
create table hsa as
select distinct hsa, 1 as var
from hsamap;
quit;

pattern v=me c=red;

proc gmap
data=hsa
map=hsaproj;
id hsa;
choro var / discrete nolegend;
note ' EXAMPLE #7 - HEALTH SERVICE AREAS'
j=l ' AREAS FORMED FROM COUNTIES'
j=l ' USING PROC GREMOVE';
run;
quit;
