
* example 8;
data labels;
length text $5;
retain 
xsys ysys '2'
hsys      '3'
position  '5'
function  'label'
size      3
style     "'calibri/bo'"
when      'a'
;
input text x y;
*the longitude/latitude of HSA area centroids;
datalines;
HSA-1  1.371803  0.742941
HSA-2  1.348815  0.744540
HSA-3  1.321340  0.756707
HSA-4  1.323836  0.738309
HSA-5  1.294420  0.756696
HSA-6  1.295074  0.726438
HSA-7  1.288815  0.710749
HSA-8  1.273433  0.713304
;
run;

*combine the map dataset with map labels;
data map_labl;
set hsamap labels;
run;

*project all observations (map and labels);
proc gproject
data=map_labl
out=hsaproj;
id hsa;
run;

pattern v=me;

proc sql;
create table hsa as
select distinct hsa, 1 as var
from hsamap;
quit;

*label the map via the annotate option;
proc gmap data=hsa map=hsaproj (where=(function is missing));
id hsa;
choro var/
discrete
nolegend
annotate=hsaproj (where=(function is not missing));
note ' EXAMPLE #8 - HEALTH SERVICE AREAS'
j=l ' LABELS ADDED TO MAP AREAS'
j=l ' USING AN ANNOTATE DATA SET';
run;
quit;

* get rid of the labels in the map data set;
data hsaproj;
set hsaproj;
where missing(function);
run;
