
* example 9;
proc format;
value pop2000_
 64285 - 144166 =  '64,285-144,166'
146438 - 350761 =  '146,438-350,761'
423394 - 522541 =  '423,394-522,541'
608975 - 884118 =  '608,975-884,118'
;
run;

data njpop;
input county county_name & : $upcase20.  (pop1990 pop2000) (: comma8.);

* create a link for each county;
*county_link = 'TITLE="' || trim(county_name) || '" href=county' || put(county,z3.) || '.htm';
county_link = catt('TITLE="', county_name, '" href=county', put(county,z3.), '.htm');

* create a link for the legend;
if pop2000 le 144166 then legend_link = 'ALT="1ST QUARTILE" href=nj2000_q1.htm';
else
if pop2000 le 350761 then legend_link = 'ALT="2ND QUARTILE" href=nj2000_q2.htm';
else
if pop2000 le 522541 then legend_link = 'ALT="3RD QUARTILE" href=nj2000_q3.htm';
else                      legend_link = 'ALT="4TH QUARTILE" href=nj2000_q4.htm';
datalines;
001 Atlantic County         224,327         252,552
003 Bergen County           825,380         884,118
005 Burlington County       395,066         423,394
007 Camden County           502,824         508,932
009 Cape May County          95,089         102,326
011 Cumberland County       138,053         146,438
013 Essex County            778,206         793,633
015 Gloucester County       230,082         254,673
017 Hudson County           553,099         608,975
019 Hunterdon County        107,776         121,989
021 Mercer County           325,824         350,761
023 Middlesex County        671,780         750,162
025 Monmouth County         553,124         615,301
027 Morris County           421,353         470,212
029 Ocean County            433,203         510,916
031 Passaic County          453,060         489,049
033 Salem County             65,294          64,285
035 Somerset County         240,279         297,490
037 Sussex County           130,943         144,166
039 Union County            493,819         522,541
041 Warren County            91,607         102,437
;
run;

goptions
reset=all
dev=png 
xpixels=1024
ypixels=768
ftext='calibri/bo' 
htext=3
gunit=pct
;

pattern1 v=ms c=grayfa;
pattern2 v=ms c=grayca;
pattern3 v=ms c=grayaa;
pattern4 v=ms c=gray5a;

legend1
mode=share
origin=(5,50)
label=none
value=(h=3 j=r)
shape=bar(3,4)
across=1
;

* select New Jersey (state number 34) from the MAPS.COUNTIES map data set;
proc gproject data=maps.counties out=nj asis;
where state eq 34;
id county;
run;

* use ODS to create an HTML file;
* it will link to the PNG file with the actual map;
ods results off;
ods listing close;
ods html path='z:\' (url=none) file='nj2000.htm';

proc gmap
map=nj
data=njpop
;
id county;
choro  pop2000 / discrete coutline=black legend=legend1 
                 html=county_link html_legend=legend_link;
format pop2000 pop2000_.;
note 
j=l ' EXAMPLE #9'
j=l ' NEW JERSEY COUNTIES'
j=l ' 2000 CENSUS POPULATION'
h=2 
j=l ' (CLICK ON COUNTY OR LEGEND TO'
j=l ' DRILL DOWN TO ADDITIONAL DATA)'
;
run;
quit;

ods html close;
ods listing;
ods results;
