
* example 10;

data labels;
length text $5;
retain
xsys ysys '2'
hsys      '3'
position  '5'
function  'label'
size      3
style     "'Tahoma/bo'"
cbox      'black'
color     'white'
when      'a'
;
input text x y;
html = catt('HREF="', text, '.htm"');
*the longitude/latitude of HSA area centroids;
datalines;
HSA_1  1.371803  0.742941
HSA_2  1.348815  0.744540
HSA_3  1.321340  0.756707
HSA_4  1.323836  0.738309
HSA_5  1.294420  0.756696
HSA_6  1.295074  0.726438
HSA_7  1.288815  0.710749
HSA_8  1.273433  0.713304
;
run;

*combine the map dataset with map labels;
data map_labl;
set hsamap labels;
run;

*project all observations (map and labels);
proc gproject
data=map_labl
out=hsaproj;
id hsa;
run;

goptions
reset=all
dev=png 
xpixels=1024
ypixels=768
ftext='calibri/bo' 
htext=3
gunit=pct
;

pattern v=e;

* use ODS to create an HTML file;
* it will link to the PNG file with the actual map;
ods results off;
ods listing close;
ods html path='z:\' (url=none) file='nys_hsa.htm';

*label the map via the annotate option;
proc gmap data=hsaproj (obs=1) map=hsaproj (where=(function is missing)) all;
id hsa;
choro hsa/ discrete
nolegend
annotate=hsaproj (where=(function is not missing)) des='New York';
note ' EXAMPLE #10 - HEALTH SERVICE AREAS'
j=l ' LABELS ADDED TO MAP AREAS'
j=l ' USING AN ANNOTATE DATA SET'
h=3 
j=l ' (CLICK ON HSA LABEL TO DRILL'
j=l ' DOWN TO ADDITIONAL DATA)'
;
run;
quit;

ods html close;
ods listing;
ods results;
