
* example 11;
proc format;
value pop
 64285 - 144166 =  '64,285-144,166'
146438 - 350761 =  '146,438-350,761'
423394 - 522541 =  '423,394-522,541'
608975 - 884118 =  '608,975-884,118'
;
run;

data njpop;
input county couname & : $upcase20.  (pop1990 pop2000) (: comma8.);
datalines;
001 Atlantic County         224,327         252,552
003 Bergen County           825,380         884,118
005 Burlington County       395,066         423,394
007 Camden County           502,824         508,932
009 Cape May County          95,089         102,326
011 Cumberland County       138,053         146,438
013 Essex County            778,206         793,633
015 Gloucester County       230,082         254,673
017 Hudson County           553,099         608,975
019 Hunterdon County        107,776         121,989
021 Mercer County           325,824         350,761
023 Middlesex County        671,780         750,162
025 Monmouth County         553,124         615,301
027 Morris County           421,353         470,212
029 Ocean County            433,203         510,916
031 Passaic County          453,060         489,049
033 Salem County             65,294          64,285
035 Somerset County         240,279         297,490
037 Sussex County           130,943         144,166
039 Union County            493,819         522,541
041 Warren County            91,607         102,437
;
run;

* text to put in floating text box (after line with TIP);

data popup;
length popvar $200;
set njpop;
pct    = 100*(pop2000 - pop1990) / pop1990;
popvar = 'tip=['||
         quote(couname) || ' ' ||
         quote('POPULATION')  || ' ' ||
         quote('1990 :  ' || put(pop1990,comma10.)) || ' ' ||
         quote('2000 :  ' || put(pop2000,comma10.)) || ' ' ||
         quote('% CHANGE :  ' || put(pct,10.1))
         || ']';
run;

* use the JAVAMETA device driver;
goptions
reset=all
device=javameta
ftext='HelveticaBold'
xpixels=1024
ypixels=768
htext=4
gunit=pct
;

pattern1 v=ms c=grayfa; pattern2 v=ms c=grayca;
pattern3 v=ms c=grayaa; pattern4 v=ms c=gray5a;

legend1
mode=share
origin=(5,50)
label=none
shape=bar(3,4)
across=1
value=(h=3.5)
;

proc gproject data=maps.counties out=nj asis;
where state eq 34;
id county;
run;

* add metagraphics from PROC GMAP;

ods results off;
ods listing close;
ods html body="z:\nj_pop.htm"
     /*    codebase="z:\" */
         parameters=("BackgroundColor"="0xFFFFFF"
                     "DataTipStyle"="Stick_Fixed"
                     "ZoomControlEnabled"="False");

proc gmap
map=nj
data=popup
;
id county;
choro  pop2000 / discrete coutline=black legend=legend1 html=popvar;
format pop2000 pop.;
note j=l ' EXAMPLE #11'
j=l ' NEW JERSEY COUNTIES' 
j=l ' 2000 CENSUS POPULATION';
run;
quit;

ods pdf close;
ods listing;
ods results;

